/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/


#include <wx/wx.h>

#include "commlink.h"

#include "commlinkfactory.h"


FactoryEngine<CommLink, int>  CommLinkFactory::mEngine;



wxUint32 CommLinkFactory::GetIndexByID(int id)
{
	wxUint32 index = 0;
	mEngine.GetIndexByID(id, index);
	return index;
}


CommLink* CommLinkFactory::Create(int id)
{
	CommLink* cl = mEngine.CreateItemWithID(id);
	if(cl != NULL) cl->SetID(id);
	return cl;
}

CommLink* CommLinkFactory::CreateByIndex(wxUint32 index)
{
	CommLink* cl = mEngine.CreateItemWithIndex(index);
	if(cl != NULL)
		cl->SetID(GetIDByIndex(index));
	return cl;
}

CommLink* CommLinkFactory::Create(const char* xmlName)
{
	int id;
	CommLink* cl = NULL;
	if(mEngine.GetIDByXMLName(xmlName, id))
		cl = mEngine.CreateItemWithID(id);
	if(cl != NULL)
		cl->SetID(id);
	return cl;
}
