/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/


#ifndef _EMAIL_H
#define _EMAIL_H

#include "main.h"
#include "controller.h"

/* ------------------------ E-MAIL --------------------------- */

/* Shortcut to send mail from everywhere within the application.
 * Simply include this header and invoke SendMail().
 */

/** 
 * Attempts to send an e-mail. 
 * @param from Sender e-mail address.
 * @param to Recipient e-mail address.
 * @param subject Subject of message.
 * @param body Message body.
 */
void SendMail(const wxString &from, const wxString &to, const wxString &subject, const wxString &body);

/** Used as clientdata for event post. */
class EmailMessage
{
public:
	EmailMessage() {}
	~EmailMessage() {}

	wxString from, to, subject, body;
};

#endif /* _EMAIL_H */
