%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%FUNTION analyse
%
%   This performs the usual analyse of an experiment: CONVERGENCE, FITNESS,
%   EVOLUTION. The data should be stored in the path, wehere you are (e.g. >>
%   c:evorobo\data). To chech it, type > >cd or >>dir
%
%   Do you have to answer the following question: "Do you want prompt
%   key?[Y/N]"
%   -If you say NO, the analyse will run by itself through all the datas and
%   you can go for a coffe break. THe ouput will be stored into three files
%   named "convergence.mat", "fitness.mat", "evolution.mat"
%   -If you say YES
%       *)you can chose the population number, where you want to
%         stop the analysis
%       **)if you already runned once the function, you can either
%          recompute the data, or only plot the results
%
% see also the following function: analyse_template, analyse_evolution, analyse_convergence,
% analyse_evolution, plot_evolution, plot_convergence, plot_evolution

function analyse

reply = input('Do you want prompt key? [Y/N]\n','s');
if isempty(reply)
    user=0;
end
if (strcmp(reply,'Y')  || strcmp(reply,'y'))
    user=1;
else
    user=0;
end

'****CONVERGENCE***'

if (exist('convergence.mat')==2 & user==1)
    reply = input('CONVERGENCE data were already calculated. Do you want to re-comput them [Y/N]?\n','s');
    if isempty(reply)
        reply ='Y' ;
    end
    if (strcmp(reply,'Y')  || strcmp(reply,'y'))
        delete 'convergence.mat'
        analyse_convergence;
    end
else
    analyse_convergence;
end
plot_convergence;

'***FITNESS***'

if (exist('fitness.mat')==2 & user==1)
    reply = input('FITNESS data were already calculated. Do you want to re-comput them [Y/N]?\n','s');
    if isempty(reply)
        reply ='Y' ;
    end
    if (strcmp(reply,'Y')  || strcmp(reply,'y'))
        delete 'fitness.mat'
        analyse_fitness(user);
    end
else
    analyse_fitness(user);
end
plot_fitness;

'***EVOLUTION***'

if (exist('evolution.mat')==2 & user==1)
    reply = input('EVOLUTION data were already calculated. Do you want to re-comput them [Y/N]?\n','s');
    if isempty(reply)
        reply ='Y' ;
    end
    if (strcmp(reply,'Y')  || strcmp(reply,'y'))
        delete 'evolution.mat'
        analyse_evolution(user);
    end
else
    analyse_evolution(user);
end
plot_evolution(user);