%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%FUNCTION analyse_convergence(user)
%
%   It calculates the mean genotypic distance between every individual and the
%   population genome centroid. The distance are calculated for every
%   population, and are saved in a file named "convergence.mat". Data can then
%   be plotted using the function plot_convergence. To be able to run the
%   function, you should be in the path (e.g. C:evorobo\data), where
%   population were saved.
%
%   Finally the calculated parameters are saved into the convergenc.mat
%   file
%
%   user=1 if present, i.e. if the function might ask the user some
%   paramters
%
%   see also the function ANALYSE
function analyse_convergence(user)
if (nargin==0)
    user=1;
end

popFiles = dir('*.pop');
popIndex = 1:length(popFiles);

for i = popIndex	
    pop = load_pop(popFiles(i).name);
    
    % calculate the distance
    dists(i) = mean(1-(1/30)*abs(sum(pop, 1) - size(pop, 1)/2));
    dists2(i) = mean(var(pop));
    dists3(i) = mean(std(pop)); 
end


save convergence dists dists2 dists3;
