%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%FUNTION analyseFitness(user)
%
%   calculates the mean, maximum, minimum, and standard deviation of the
%   fitness for every generation. Calculated paramters are stored in the
%   file "fitness.mat"
%
%   user=1 if present, i.e. if the function might ask the user some
%   paramters
%
%   see also ANALYSE, PLOT_FITNESS
function analyseFitness(user)
if (nargin==0)
    user=1;
end
   
if (user==1)
    maxNumPop = input('What is the maximum number of population? over which you want to proceed the FITNESS analysis\n');
    if isempty(maxNumPop)
        maxNumPop =100000 ;
    end
else
     maxNumPop=1000;
end
d=dir('*.log');
[s1, s2]=size(d)
indPop=0;
numPop=0;
for i=1:s1 %run through the directory to find the file
    test=0;
    name=['generation',num2str(indPop),'.log'];
    eval(['if (exist (''', name,''',''file'')==2) test=1; end'])
    Fitness=0;
    if (test==1)  %the file exist
        eval(['load_log(','''',name,'''',')'])
        display(['population number''s ',num2str(numPop), ' exists'])
        numPop=numPop+1;
        %calculates fitness paramters
        %
        fitnessMean(numPop)=mean(Fitness);
        fitnessVar(numPop)=std(Fitness);
        fitnessMax(numPop)=max(Fitness);
        fitnessMin(numPop)=min(Fitness);
        %
        %
    else
        display(['could not open the file ', name])
    end
    indPop=indPop+1;
    if numPop >= maxNumPop
        break;
    end
end
save  fitness fitnessMean fitnessVar fitnessMax fitnessMin;

