%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%FUNCTION analyse_template
%
%Template to analye evolution. It shows how to run through directories,
%and loads every population and individual datas.
%
%It assumes that when you run the function you are in the "..\genome" directory
%
%It assumes also the following log structure:
%..\genome\population_2\genome_2_45
%
%Where 2 is the number of the population and 45 is the number of the
%individual.
%
%"..\genome" is a directory where population are stored
%
%"population_2" is a folder containing all files for generation number 2
%datas
%
%"genome_2_45" is the file containing evolution datas for individual
%45, generation 2. Usually it can be read using the function "load_log"
%
%see also the function ANALYSE
function analyse_template

%index to run through all files
indPop=0;
indIndi=0;
%number of
numPop=0; %population 
numIndi=0; %inddividual
%found in the directory

d=dir('')
[s1, s2]=size(d);

for i=1:s1 %run through the directory to find population directories
    test=0;
    name=['population_',num2str(indPop)];
    eval(['if (exist (''', name,''',''dir'')==7) test=1; end'])
    if (test==1)  %the directory exist
        numPop=numPop+1;
        eval(['cd ', 'population_', num2str(indPop) ])
        d2=dir('*.log');
        [ss1, ss2]=size(d2);
        indIndi=0;
        numIndi=0;
        for j=1:ss1 %run through the directory to find  individual files
            test2=0;
            name2=['genome_', num2str(indPop),'_',num2str(indIndi),'.log'];
            eval(['if (exist( ','''',name2, '''',')==2) test2=1; end'])
            if (test2==1) %the file exist
                numIndi=numIndi+1;
                %load evolution datas
                eval(['load_log(','''',name2,'''',')'])
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                %                                                   %                                             
                %   do something with it                            %
                %                                                   %
                %   TO BE IMPLEMENTED BY YOURSELF                   %
                %                                                   %
                %                                                   %
                %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
                fclose('all');     
            else
               display(['could not open file ', name2])
            end
            %
            %
            indIndi=indIndi+1;
        end
        cd ..;
         display(['population number is ',num2str(numPop-1), ' with ', num2str(numIndi), ' individuals'])
    else
        display(['could not open directrory ', name])
    end
    indPop=indPop+1;
end


