%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%plotevorun(n,limitX, limitY)
%
%   plots the average and maximum fitness value versus the generation
%   number
%
%   n is a matrix containing 3 columns. One row is one generation datas.
%   n=[Generation Number, Average Fitness, Maximum Fitness]
%   limitX, and limitY are the upper boundary where the plot has to be
%   drawn.

function plot_evorun(n,limitX, limitY)


plot(n(:,1),n(:,3),'r--',n(:,1),n(:,2),'b')

%----------------------------
%Add a title
%
%TITLE('blablabla....');
%----------------------------
%Add text on the graph area
%
%posX=15
%posY=0.2;
%text(posX,posY,'blablabla....')
%----------------------------

AXIS([0 limitX 0 limitY]) 
LEGEND('Maximum', 'Average')
XLABEL('Generation Number [-]')
YLABEL('Fitness [-]')
GRID ON






 
 
