%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%plot_evorun_s(name)
%
%   plots the average and maximum fitness value versus the generation
%   number. It outputs two graphs: 
%   1) with canonical scale, i.e. 0 to 30 generations 
%   2) all the available generation
%
%   name is the complete root name of the evorun.log file from the current
%   location
%
%   E.g.    plotevoruns('../data/evorun.log');
%
%   warning: if the experiment has been restarted using the same evorun.log
%   file, many plots may be drawn, two for each trial

function plot_evorun_s(name)

load_log(name);
n(:,1)=Gen;
n(:,2)=Avg;
n(:,3)=Max;
%n=load(name)

ind=find(n(:,1)==0);%look for generation zero
[s1, s2]=size(ind);

f1=1;
f2=2;

%Set the folowing parameter to TRUE only if you run only once the experiment,
%i.e. without reloading a new population

I_am_lucky=false; %=FALSE by default value

if (I_am_lucky)
    figure(1) %1) canonical scale
    plotevorun(n, 30,1);
    
    figure(2) %2) all generation
    plotevorun(n, n(end,1)+1 , 1)
else
    if (s1~=1)   
        for k=1:s1-1 % for everytime the experiment was started
            
            figure(f1+(k-1)*2) %1) canonical scale
            plotevorun(n(ind(k):ind(k+1)-1,:), 30,1);
            
            figure(f2+(k-1)*2) %2) all generation
            plotevorun(n(ind(k):ind(k+1)-1,:), n(ind(k+1)-1,1) , 1)
        end
        k=s1;
        
        figure(f1+(k-1)*2) %1) canonical scale
        plotevorun(n(ind(k):end,:), 30,1);
        
        figure(f2+(k-1)*2) %2) all generation
        plotevorun(n(ind(k):end,:), n(end,1)+1 , 1)
    else 
        figure(1) %1) canonical scale
        plotevorun(n, 30,1);
        
        
        figure(2) %2) all generation
        plotevorun(n, n(end,1)+1 , 1)
    end
end







