%--------------------------------------------------------------------- 
%   Autonomous System Laboratory (LSA2), EPFL, Lausanne, Switzerland
%	Adaptive Intelligence Laboratory (AI Lab), University Utrecht 
%---------------------------------------------------------------------
%
%FUNTION plot_fitness(user)
%
%   Plot from the file "finess.mat" the mean, maximum, minimum, and standard deviation of the
%   fitness for every generation.
%
%   user=1 if present, i.e. if the function might ask the user some
%   paramters
%
%   see also ANALYSE, ANALYSE_FITNESS
function plot_fitness(user)
if (nargin==0)
    user=1;
end
load fitness.mat;

figure;
plot( fitnessMean)
hold on
plot(fitnessVar, 'r--')
plot(fitnessMax, 'm:')
plot(fitnessMin, 'g.-')
[s1,s2]=size(fitnessMean);
axis([0 s2 0 1])
xlabel('Generation Number [-]')
ylabel('Fitness')
legend('Mean','Std','Max', 'Min');

