/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/


#include "spikingnn.h"
#include "spikingoutputacrate.h"

void SpikingOutputACRate::ComputeOutput(wxUint16 currentCycle,wxUint16 updatesPerCycle,wxUint16 outputWindowLen){
	wxInt32 i=0, curCycle, outCount=0;
	mOutput=0.0f;
	for(curCycle=currentCycle; curCycle>=0; curCycle--) {
		for(i=updatesPerCycle-1; i>=0; i--) {
			mOutput += mActivity[curCycle][i] ? 1.0f : 0.0f;
			outCount++;
			if(outCount==outputWindowLen) break;
		} if(outCount==outputWindowLen) break;
	}

	mOutput /= outCount;
	mOutput*= 2.0f;
	mOutputAlloc[currentCycle]=mOutput;

}
