/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/


#ifndef _SMTP_H
#define _SMTP_H

class wxSocketClient;

/**
 * Generic (static) class that can be used to send mail.
 * Never use this directly from within evolution, always use
 * SendMail(), declared in /email.h.
 */
class Smtp
{
public:
	static wxInt8 SendMail(const wxString &from, const wxString &to, const wxString &subject, const wxString &body);

	static void SetSmtpHost(const wxString &smtpHost) { mSmtpHost = smtpHost; }
	static void SetSmtpPort(const wxUint16 &smtpPort) { mSmtpPort = smtpPort; }

protected:
	static wxInt8 WriteLine(wxSocketClient *socket, wxString &line);
	static wxInt8 ReadLine(wxSocketClient *socket, wxString &line);

	static wxString mSmtpHost; /**< Host to use for sending mail. */
	static wxUint16 mSmtpPort; /**< Port to connect to. */
};

#endif /* _SMTP_H */
