/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/

#ifndef _XMLSAVER_H
#define _XMLSAVER_H

#include <wx/dynarray.h>
#include "xmlarray.h"

class XMLElement;
class XMLSerializable;
class XMLStack;
class XMLWriter;

class XMLSaver { 
public:
	/** Makes a new XMLSaver which saves to a file
	  * @param file The file to save to
	  * @throws IOException If the XMLSaver cannot open the XML file because
	  *         of an IO error.
	 */
	XMLSaver(const wxString &file);

	~XMLSaver();

	void Close();

	/** A crude indication if we can write to this XMLSaver */
	bool HasStream();

	void SaveObject (XMLSerializable *object);
	void SaveObjectArray (XMLSerializableArray *a);
	void SaveAtomaryElement (XMLSerializable *parent, XMLElement *el);

protected:
	/** Make a new XMLSaver  */
	XMLSaver();
	wxInt32		Indent();

	XMLWriter	*mWriter;
	XMLStack	*mStack;
};
#endif
