/****************************************************************************
  goevo -- application for evolutionary robotics with neural controllers
  Copyright (C) 2003 Autonomous Systems Lab 2, EPFL, Lausanne &
  Adaptive Intelligence Lab, University Utrecht.

  This program is free software; the authors of any publication 
  arising from research using this software are asked to add the 
  following reference:
    goevo; http://asl.epfl.ch/resources/evo/goevo.php; 
    Autonomous Systems Lab 2, EPFL, Lausanne & 
    Adaptive Intelligence Lab, University Utrecht.

  You can redistribute this program and/or modify it under the 
  terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, 
  or (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

  See docs/readme.txt and docs/gpl.txt
******************************************************************************/

#ifndef _XMLSTACK_H
#define _XMLSTACK_H

class XMLSerializable;
class XMLElement;
class wxString;

#include <wx/string.h>

class XMLStack
{ 
public:
	XMLStack();
	~XMLStack();

	void		Push(const wxString x);
	wxString	Pop();
	wxString	Peek(const wxUint32 i);
	
	wxUint32	Size();
	bool		IsEmpty();

	wxString*	GetBranchName();
	void		UpdateBranchName ();

	bool		IsCurrentParent (const wxString &s);
	bool		IsCurrentParent (XMLSerializable *x);

	bool		IsARootParent (const wxString &s);
	bool		IsARootParent (XMLSerializable *x);

	wxString		*mBranchName;
	wxArrayString	*mStringStack;
};
#endif
